apiVersion: v2
name: vs
description: A Helm chart for a Kubernetes deployment of the View Server (VS)

type: application

# This is the chart version. This version number should be incremented each time you make changes
# to the chart and its templates, including the app version.
# Versions are expected to follow Semantic Versioning (https://semver.org/)
version: 2.0.3

# This is the version number of the application being deployed. This version number should be
# incremented each time you make changes to the application.
appVersion: 2.0.3

maintainers:
  - name: EOX IT Services GmbH
    url: https://eox.at

dependencies:
  - name: "postgresql"
    version: "10.12.0"
    repository: "https://charts.bitnami.com/bitnami"
    alias: database
  - name: "redis"
    version: "10.9.0"
    repository: "https://charts.bitnami.com/bitnami"
    alias: redis
  - name: vs-cache
    version: "0.1.2"
    repository: "https://charts-public.hub.eox.at"
    alias: cache
  - name: vs-client
    version: "0.1.2"
    repository: "https://charts-public.hub.eox.at"
    alias: client
  - name: vs-renderer
    version: "0.1.8"
    repository: "https://charts-public.hub.eox.at"
    alias: renderer
  - name: vs-registrar
    version: "0.1.9"
    repository: "https://charts-public.hub.eox.at"
    alias: registrar
  - name: vs-scheduler
    version: "0.1.0"
    repository: "https://charts-public.hub.eox.at"
    alias: scheduler
  - name: vs-harvester
    version: "0.1.0"
    repository: "https://charts-public.hub.eox.at"
    alias: harvester
  - name: vs-ingestor
    version: "0.1.3"
    repository: "https://charts-public.hub.eox.at"
    alias: ingestor
  - name: vs-preprocessor
    version: "0.1.0"
    repository: "https://charts-public.hub.eox.at"
    alias: preprocessor
